
Figure - Bug #118646
【IOVDEV-33447】【内部】【VC1】【0072】【台架】【EE环境】【副屏】【第三方应用】王者荣耀、火影
忍者、原神打开游戏显示游戏图标居中黑/白屏无响应
2023-06-08 15:39 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-08

Priority: Urgent Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 冻屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.C104

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：2023-06-08 10:31

【开机次数】：第275次

【前提条件】：

1.副屏上电

2.下载并安装王者荣耀、火影忍者、原神

3.控制中心打开录屏

【问题操作步骤】：

1.将三个游戏拖拽至同一个文件夹内

2.依次打开游戏

【实际结果】：王者荣耀图标放大居中白屏无响应，原神和火影忍者图标放大居中黑屏无响应

【期望结果】：正常打开游戏并加载游戏，设备正常运行，流畅不卡顿

【备注】：启动游戏无响应与网络因素无关，与应用本身也无关，三个游戏应用同时无响应

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/yikAOEt67Xs%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/CVzi0kg1KPg%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/3N110eqQgQU%3D

【影响版本】：副屏：01.00.0106.C104

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

Related issues:

Duplicated by Figure - Bug # 118622: 【AF】【EVT3】【实车】系统卡顿 CLOSED 2023-06-07

History

#1 - 2023-06-08 15:40 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118646

#2 - 2023-06-08 15:58 - CDTS-TEST 周婷
- Category set to 黑屏

#3 - 2023-06-08 15:58 - CDTS-TEST 周婷

- Category changed from 黑屏 to 冻屏

#4 - 2023-06-08 19:21 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW 郑雷

■ 我的分析

起动这几个游戏超时了，然后进程被杀，所以一直没起起来

--------------------

06-08 10:32:00.550   681   681 D Zygote  : Forked child process 13309

06-08 10:32:00.552  1566  1677 I am_proc_start:

[0,13309,10112,com.tencent.tmgp.sgame,pre-top-activity,{com.tencent.tmgp.sgame/com.tencent.tmgp.sgame.SGameActivity}]

06-08 10:32:00.552  1566  1677 I ActivityManager: Start proc 13309:com.tencent.tmgp.sgame/u0a112 for pre-top-activity

{com.tencent.tmgp.sgame/com.tencent.tmgp.sgame.SGameActivity}

06-08 10:32:10.526  1566  1668 W ActivityTaskManager: Launch timeout has expired, giving up wake lock!

//giving up wake lock, 似乎与 #118602 有关联

06-08 10:32:10.553  1566  1676 W ActivityManager: Process ProcessRecord{350383 13309:com.tencent.tmgp.sgame/u0a112} failed to attach

06-08 10:32:10.553  1566  1676 I am_process_start_timeout: [0,13309,10112,com.tencent.tmgp.sgame]

06-08 10:32:10.554  1566  1676 I ActivityManager: Killing 13309:com.tencent.tmgp.sgame/u0a112 (adj -10000): start timeout

06-08 10:32:10.554  1566  1676 I am_kill : [0,13309,com.tencent.tmgp.sgame,-10000,start timeout]

06-08 10:32:10.554  1566  1678 I libprocessgroup: Successfully killed process cgroup uid 10112 pid 13309 in 0ms

//启动王者荣耀进程，启动超时被杀

06-08 10:32:20.828   681   681 D Zygote  : Forked child process 13352

06-08 10:32:20.829  1566  1677 I am_proc_start:

[0,13352,10112,com.tencent.tmgp.sgame,top-activity,{com.tencent.tmgp.sgame/com.tencent.tmgp.sgame.SGameActivity}]

06-08 10:32:20.829  1566  1677 I ActivityManager: Start proc 13352:com.tencent.tmgp.sgame/u0a112 for top-activity

{com.tencent.tmgp.sgame/com.tencent.tmgp.sgame.SGameActivity}

06-08 10:32:30.816  1566  1676 W ActivityManager: Process ProcessRecord{61fc4ad 13352:com.tencent.tmgp.sgame/u0a112} failed to attach

06-08 10:32:30.816  1566  1676 I am_process_start_timeout: [0,13352,10112,com.tencent.tmgp.sgame]

06-08 10:32:30.817  1566  1676 I ActivityManager: Killing 13352:com.tencent.tmgp.sgame/u0a112 (adj -10000): start timeout

06-08 10:32:30.817  1566  1676 I am_kill : [0,13352,com.tencent.tmgp.sgame,-10000,start timeout]

06-08 10:32:30.818  1566  1678 I libprocessgroup: Successfully killed process cgroup uid 10112 pid 13352 in 0ms

//启动王者荣耀进程，启动超时被杀

06-08 10:32:23.041   681   681 D Zygote  : Forked child process 13370

06-08 10:32:23.041  1566  1677 I am_proc_start:

[0,13370,10110,com.miHoYo.Yuanshen,pre-top-activity,{com.miHoYo.Yuanshen/com.miHoYo.GetMobileInfo.MainActivity}]

06-08 10:32:23.041  1566  1677 I ActivityManager: Start proc 13370:com.miHoYo.Yuanshen/u0a110 for pre-top-activity

{com.miHoYo.Yuanshen/com.miHoYo.GetMobileInfo.MainActivity}

06-08 10:32:33.026  1566  1676 W ActivityManager: Process ProcessRecord{5ed45c0 13370:com.miHoYo.Yuanshen/u0a110} failed to attach

06-08 10:32:33.026  1566  1676 I am_process_start_timeout: [0,13370,10110,com.miHoYo.Yuanshen]

06-08 10:32:33.026  1566  1676 I ActivityManager: Killing 13370:com.miHoYo.Yuanshen/u0a110 (adj -10000): start timeout

06-08 10:32:33.026  1566  1676 I am_kill : [0,13370,com.miHoYo.Yuanshen,-10000,start timeout]

06-08 10:32:33.026  1566  1678 I libprocessgroup: Successfully killed process cgroup uid 10110 pid 13370 in 0ms

//启动原神进程，启动超时被杀

06-08 10:32:32.849   681   681 D Zygote  : Forked child process 13406

06-08 10:32:32.850  1566  1677 I am_proc_start:
[0,13406,10096,com.tencent.KiHan,pre-top-activity,{com.tencent.KiHan/com.tencent.gcloud.msdk.core.policy.MSDKPolicyActivity}]

06-08 10:32:32.850  1566  1677 I ActivityManager: Start proc 13406:com.tencent.KiHan/u0a96 for pre-top-activity

{com.tencent.KiHan/com.tencent.gcloud.msdk.core.policy.MSDKPolicyActivity}

06-08 10:32:42.852  1566  1676 W ActivityManager: Process ProcessRecord{5c4b174 13406:com.tencent.KiHan/u0a96} failed to attach

06-08 10:32:42.852  1566  1676 I am_process_start_timeout: [0,13406,10096,com.tencent.KiHan]

06-08 10:32:42.853  1566  1676 I ActivityManager: Killing 13406:com.tencent.KiHan/u0a96 (adj 10000): start timeout

06-08 10:32:42.853  1566  1676 I am_kill : [0,13406,com.tencent.KiHan,-10000,start timeout]

06-08 10:32:42.854  1566  1678 I libprocessgroup: Successfully killed process cgroup uid 10096 pid 13406 in 0ms

06-08 10:35:26.302   681   681 I Zygote  : Process 13406 exited due to signal 9 (Killed)

//启动火影进程，启动超时被杀

-------------------

■ 下一步计划

检查启动超时原因，目前看，似乎与 #118602 有关联

#5 - 2023-06-09 19:53 - CD FW 郑雷

[当前分析]

1.从视频从能看到王者荣耀、火影忍者、原神等app打开失败

分析log：

1.关于王者荣耀、火影忍者、原神 app打开失败的log：

06-08 10:33:03.766 681 681 D Zygote : Forked child process 13504

06-08 10:33:03.766 1566 1677 I am_proc_start:

[0,13504,10096,com.tencent.KiHan,pre-top-activity,{com.tencent.KiHan/com.tencent.gcloud.msdk.core.policy.MSDKPolicyActivity}]

06-08 10:33:03.767 1566 1677 I ActivityManager: Start proc 13504:com.tencent.KiHan/u0a96 for pre-top-activity

{com.tencent.KiHan/com.tencent.gcloud.msdk.core.policy.MSDKPolicyActivity}

.....

06-08 10:33:03.931 845 845 W SDM : HWCDisplay::GetHWCLayer: [0] GetLayer(612) failed: no such layer

06-08 10:33:03.935 1002 1002 W HwcComposer: command 0x3000000 generated error 3

06-08 10:33:04.535 1890 2590 D CCodecBufferChannel: [c2.android.aac.encoder#836] DEBUG: elapsed: n=4 [in=0 pipeline=0 out=0]

06-08 10:33:04.535 1890 2590 D PipelineWatcher: DEBUG: elapsed 0 / 4

.....

06-08 10:33:08.950 1566 1676 W ActivityManager: Process ProcessRecord{e1c0c39 13475:com.tencent.tmgp.sgame/u0a112} failed to attach

06-08 10:33:08.950 1566 1676 I am_process_start_timeout: [0,13475,10112,com.tencent.tmgp.sgame]

06-08 10:33:08.950 1566 1676 I am_uid_stopped: 10112

06-08 10:33:08.951 1566 1676 I ActivityManager: Killing 13475:com.tencent.tmgp.sgame/u0a112 (adj -10000): start timeout

06-08 10:33:08.951 1566 1676 I am_kill : [0,13475,com.tencent.tmgp.sgame,-10000,start timeout]

当启动目标Activity前，会先pause当前正显示的Activity，之后才显示目标Activity。在startPausingLocked()方法中会获取LaunchWakelock，并设置超时监听

final boolean startPausingLocked(boolean userLeaving, boolean uiSleeping,

ActivityRecord resuming, String reason) {

......

// If we are not going to sleep, we want to ensure the device is

// awake until the next activity is started.

if (!uiSleeping && !mAtmService.isSleepingOrShuttingDownLocked()) {

mTaskSupervisor.acquireLaunchWakelock();

}

......

}

通过mHandler发送延迟消息的方式来进行超时设置，what为LAUNCH_TIMEOUT_MSG，LAUNCH_TIMEOUT为10s

2025-07-04 3/15



void acquireLaunchWakelock() {

        if (VALIDATE_WAKE_LOCK_CALLER && Binder.getCallingUid() != Process.myUid()) {

            throw new IllegalStateException("Calling must be system uid");

        }

        mLaunchingActivityWakeLock.acquire();

        if (!mHandler.hasMessages(LAUNCH_TIMEOUT_MSG)) {

            // To be safe, don't allow the wake lock to be held for too long.

            mHandler.sendEmptyMessageDelayed(LAUNCH_TIMEOUT_MSG, LAUNCH_TIMEOUT);

        }

    }

在ActivityStackSupervisorHandler的handleMessage方法的LAUNCH_TIMEOUT_MSG消息

public void handleMessage(Message msg) {

switch (msg.what) {

case LAUNCH_TIMEOUT_MSG: {

if (mLaunchingActivityWakeLock.isHeld()) {

Slog.w(TAG, "Launch timeout has expired, giving up wake lock!");

if (VALIDATE_WAKE_LOCK_CALLER

&& Binder.getCallingUid() != Process.myUid()) {

throw new IllegalStateException("Calling must be system uid");

}

//释放锁

mLaunchingActivityWakeLock.release();

}

} break;

// ···

}

}

在目标Activity启动完成后，AMS会移除LAUNCH_TIMEOUT_MSG消息。

com.tencent.KiHan 启动失败的原因是Activity启动超时，AMS kill 了进程。

06-08 10:33:03.931 845 845 W SDM : HWCDisplay::GetHWCLayer: [0] GetLayer(612) failed: no such layer

06-08 10:33:03.935 1002 1002 W HwcComposer: command 0x3000000 generated error 3

[下一步Action]

检查Activity启动是否因为composer-service （845） 和 surfaceflinger （1002）？

#6 - 2023-06-12 12:08 - CD FW 郑雷

[当前状态]

关于com.tencent.tmgp.sgame app启动失败的分析

从log中看，是从06-08 10:31:36.946启动com.tencent.tmgp.sgame app时，出现了启动进程超时，启动activity超时。

06-08 10:31:36.946  1566  8209 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.tencent.tmgp.sgame/.SGameActivity bnds=[640,300][960,596]} from uid 10078

06-08 10:31:36.947  1566  1668 I EventSequenceValidator: inc AccIntentStartedEvents to 2

06-08 10:31:36.950  1566  8209 D ActivityTaskManager: TaskLaunchParamsModifier:task=null activity=ActivityRecord{8d0b2d6 u0

com.tencent.tmgp.sgame/.SGameActivity taskAffinity=10112:com.tencent.tmgp.sgame display-area-from-source=DefaultTaskDisplayArea@63632296 display-id=0

display-windowing-mode=1 suggested-display-area=DefaultTaskDisplayArea@63632296

06-08 10:31:36.952  1566  8209 E ANDR-PERF-JNI: com_qualcomm_qtiperformance_native_perf_io_prefetch_start

06-08 10:31:36.952  1566  8209 D ActivityTaskManager: TaskLaunchParamsModifier:task=null activity=ActivityRecord{8d0b2d6 u0

com.tencent.tmgp.sgame/.SGameActivity taskAffinity=10112:com.tencent.tmgp.sgame t-1} display-area-from-source=DefaultTaskDisplayArea@63632296 display-id=0

2025-07-04 4/15



display-windowing-mode=1 suggested-display-area=DefaultTaskDisplayArea@63632296 inherit-from-source=fullscreen activity-options-fullscreen=Rect(0, 0 - 0, 0)

non-freeform-display display-area=DefaultTaskDisplayArea@63632296

06-08 10:31:36.952  1566  8209 I wm_task_created: [21126,-1]

06-08 10:31:36.953  1566  8209 W ActivityTaskManager: Can't find TaskDisplayArea to determine support for multi window. Task id=21126 attached=false

06-08 10:31:36.953  1566  8209 D ActivityTaskManager: TaskLaunchParamsModifier:task=Task{4762c44 #21126 type=standard A=10112:com.tencent.tmgp.sgame U=0

visible=false mode=fullscreen translucent=true sz=0 visible freeform task=true rootAffinity=10112:com.tencent.tmgp.sgame isMini=false} activity=ActivityRecord{8d0b2d6

u0 com.tencent.tmgp.sgame/.SGameActivity taskAffinity=10112:com.tencent.tmgp.sgame t-1} display-area-from-source=DefaultTaskDisplayArea@63632296 display-id=0

display-windowing-mode=1 suggested-display-area=DefaultTaskDisplayArea@63632296 inherit-from-source=fullscreen activity-options-fullscreen=Rect(0, 0 - 0, 0)

non-freeform-display display-area=DefaultTaskDisplayArea@63632296

06-08 10:31:36.954   848  3278 E ANDR-IOP: io prefetch is disabled

.....

06-08 10:31:36.955  1566  8209 I wm_task_moved: [21126,1,7]

06-08 10:31:36.955  1566  8209 I wm_task_to_front: [0,21126]

06-08 10:31:36.955  1566  8209 I wm_create_task: [0,21126]

06-08 10:31:36.956  1566  8209 I wm_create_activity: [0,147894998,21126,com.tencent.tmgp.sgame/.SGameActivity,android.intent.action.MAIN,NULL,NULL,270532608]

06-08 10:31:36.956  1566  8209 I wm_task_moved: [21126,1,7]

.....

06-08 10:31:36.956  1566  8209 D ActivityTrigger: ActivityTrigger activityPauseTrigger 

06-08 10:31:36.957  1566  8209 I wm_pause_activity: [0,122113989,com.android.launcher3/.uioverrides.QuickstepLauncher,userLeaving=true,pauseBackTasks]

.....

06-08 10:31:36.959  2495  2495 I wm_on_paused_called: [122113989,com.android.launcher3.uioverrides.QuickstepLauncher,performPause]

06-08 10:31:36.961  1566  1668 I am_uid_running: 10112

.....

06-08 10:31:36.965   681   681 D Zygote  : Forked child process 13236

06-08 10:31:36.966  1566  1677 I am_proc_start:

[0,13236,10112,com.tencent.tmgp.sgame,pre-top-activity,{com.tencent.tmgp.sgame/com.tencent.tmgp.sgame.SGameActivity}]

06-08 10:31:36.966  1566  1677 I ActivityManager: Start proc 13236:com.tencent.tmgp.sgame/u0a112 for pre-top-activity

{com.tencent.tmgp.sgame/com.tencent.tmgp.sgame.SGameActivity}

06-08 10:31:36.967  1566 13237 W ContextImpl: Calling a method in the system process without a qualified user: android.app.ContextImpl.sendBroadcast:1173

com.qualcomm.qti.Performance$SendGameLaunchBroadcast.run:217 java.lang.Thread.run:920 <bottom of call stack> <bottom of call stack> 

06-08 10:31:36.968  1566  8209 I ActivityTaskManager: FOREGROUND_APPLICATION_CHANGED to com.tencent.tmgp.sgame.SGameActivity

......

06-08 10:31:37.145   845   845 W SDM     : HWCDisplay::GetHWCLayer: [0] GetLayer(550) failed: no such layer

06-08 10:31:37.146  1002  1002 W HwcComposer: command 0x3000000 generated error 3

06-08 10:31:37.567  2646  2646 I auditd  : type=1400 audit(0.0:454007307): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:37.567  2646  2646 W event_loop: type=1400 audit(0.0:454007307): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:37.567  2646  2646 I auditd  : type=1400 audit(0.0:454007308): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:37.567  2646  2646 W event_loop: type=1400 audit(0.0:454007308): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:37.567  2646  2646 I auditd  : type=1400 audit(0.0:454007309): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:37.567  2646  2646 W event_loop: type=1400 audit(0.0:454007309): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:37.567  2646  2646 I auditd  : type=1400 audit(0.0:454007310): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:37.567  2646  2646 W event_loop: type=1400 audit(0.0:454007310): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:37.567  2646  2646 I auditd  : type=1400 audit(0.0:454007311): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:37.567  2646  2646 W event_loop: type=1400 audit(0.0:454007311): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0
tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:37.573     0     0 W [ 1710.152049] audit: audit_lost=454565072 audit_rate_limit=5 audit_backlog_limit=64

06-08 10:31:37.573     0     0 E [ 1710.152051] audit: rate limit exceeded

.....

06-08 10:31:39.718  2495  2495 D RecentsViewStateController: setStateWithAnimationInternal: QuickSwitch

06-08 10:31:39.720  1566 12808 I wm_task_moved: [1,0,6]

06-08 10:31:39.721  1566 12808 I wm_add_to_stopping: [0,122113989,com.android.launcher3/.uioverrides.QuickstepLauncher,makeInvisible]

06-08 10:31:39.721  2495  2495 D BaseRecentsViewStateController: setStateWithAnimationInternal: scaleAndOffset: 4.576271 : 0.0

......

06-08 10:31:39.787   660   674 I mpu_uart: [MSG-P:R]:recv sync frame timeout

06-08 10:31:39.931   845   845 W SDM     : HWCDisplay::GetHWCLayer: [0] GetLayer(552) failed: no such layer

06-08 10:31:39.939  1002  1002 W HwcComposer: command 0x3000000 generated error 3

06-08 10:31:39.966  1566  1794 I commit_sys_config_file: [settings-1-0,5]

06-08 10:31:40.045  1566  1676 I am_uid_idle: 10034

06-08 10:31:40.579  2646  2646 I auditd  : type=1400 audit(0.0:454821481): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:40.579  2646  2646 W event_loop: type=1400 audit(0.0:454821481): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:40.579  2646  2646 I auditd  : type=1400 audit(0.0:454821482): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:40.579  2646  2646 W event_loop: type=1400 audit(0.0:454821482): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:40.579  2646  2646 I auditd  : type=1400 audit(0.0:454821483): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:40.579  2646  2646 W event_loop: type=1400 audit(0.0:454821483): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:40.579  2646  2646 I auditd  : type=1400 audit(0.0:454821484): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:40.579  2646  2646 W event_loop: type=1400 audit(0.0:454821484): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:40.579  2646  2646 I auditd  : type=1400 audit(0.0:454821485): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:40.579  2646  2646 W event_loop: type=1400 audit(0.0:454821485): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-08 10:31:40.585     0     0 E [ 1713.064822] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: Invalid dtc data

06-08 10:31:40.585     0     0 W [ 1713.164059] audit: audit_lost=455379231 audit_rate_limit=5 audit_backlog_limit=64

06-08 10:31:40.585     0     0 E [ 1713.164065] audit: rate limit exceeded

06-08 10:31:40.633     0     0 I [ 1713.213352] [schedu][0x7abc1486a][10: 31:40.630410] wlan: [2707:I:PE] rrm_process_link_measurement_request: 275: Received Link

report frame with -48

06-08 10:31:40.633     0     0 W [ 1713.213418] [schedu][0x7abc14d9a][10: 31:40.630479] wlan: [2707:W:PE] lim_send_link_report_action_frame: 4575: RRM: Sending

Link Report to 08:79:8c:36:92:70 on vdev0

06-08 10:31:40.776   660   675 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

06-08 10:31:40.816  1890  2600 D BufferPoolAccessor2.0: bufferpool2 0xb4000075592b16e8 : 4(8192 size) total buffers - 4(8192 size) used buffers - 1/5 (recycle/alloc) -

4/7808 (fetch/transfer)

06-08 10:31:41.249  1890  2590 D CCodecBufferChannel: [c2.android.aac.encoder#836] DEBUG: elapsed: n=4 [in=0 pipeline=0 out=0]

.....

06-08 10:31:44.579  1566  1805 I input_focus: [Focus entering eea4944 com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher

(server),reason=Window became focusable. Previous reason: NO_WINDOW]

06-08 10:31:44.583  2495  3123 E FrameEvents: updateAcquireFence: Did not find frame.

06-08 10:31:44.585  2495  3123 E FrameEvents: updateAcquireFence: Did not find frame.

06-08 10:31:44.586  2495  3123 E FrameEvents: updateAcquireFence: Did not find frame.

.....

06-08 10:31:44.795   845   845 W SDM     : HWCDisplay::GetHWCLayer: [0] GetLayer(555) failed: no such layer
06-08 10:31:44.800  1002  1002 W HwcComposer: command 0x3000000 generated error 3

06-08 10:31:44.871  1566  1675 I LatencyTracker: ACTION_START_RECENTS_ANIMATION latency=74

06-08 10:31:44.871  1566  1675 I sysui_latency: [8,74]

06-08 10:31:45.166  2495  2495 D EditModeHelper: setHotseatVisibility: 0

06-08 10:31:45.170  2495  2495 D RecentsViewStateController: setState: Normal OverviewFullscreenProgress: 0.0

06-08 10:31:45.181  1566  2611 I wm_task_moved: [1,1,7]

06-08 10:31:45.182  1566  2611 I wm_task_moved: [21024,1,2147483647]

06-08 10:31:45.182  1566  2611 I wm_task_to_front: [0,21024]

06-08 10:31:45.182  1566  2611 I wm_focused_root_task: [0,0,1,21126,RecentsAnimation.onAnimationFinished()]

06-08 10:31:45.182  1566  2611 I wm_set_resumed_activity: [0,com.android.launcher3/.uioverrides.QuickstepLauncher,RecentsAnimation.onAnimationFinished()]

06-08 10:31:45.183  1566  2611 I ActivityTaskManager: FOREGROUND_APPLICATION_CHANGED to com.android.launcher3.uioverrides.QuickstepLauncher

06-08 10:31:45.187  1566  2611 I wm_set_resumed_activity: [0,com.android.launcher3/.uioverrides.QuickstepLauncher,resumeTopActivityInnerLocked]

06-08 10:31:45.188  1566  2611 I wm_add_to_stopping: [0,147894998,com.tencent.tmgp.sgame/.SGameActivity,makeInvisible]

06-08 10:31:45.191  1566  2611 I wm_resume_activity: [0,122113989,21024,com.android.launcher3/.uioverrides.QuickstepLauncher]

06-08 10:31:45.192  2495  2495 D Launcher: onResume start

06-08 10:31:45.192  2495  2495 D Launcher: onResume finish

06-08 10:31:45.192  2495  2495 I wm_on_resume_called: [122113989,com.android.launcher3.uioverrides.QuickstepLauncher,RESUME_ACTIVITY]

06-08 10:31:45.192  2495  2495 I wm_on_top_resumed_gained_called: [122113989,com.android.launcher3.uioverrides.QuickstepLauncher,topWhenResuming]

06-08 10:31:45.197  1566  2611 W InputManager-JNI: Input channel object '88b46ae Splash Screen com.tencent.tmgp.sgame (client)' was disposed without first being

removed with the input manager!

06-08 10:31:45.202  1566  3223 W WindowManager: Failed looking up window session=Session{4c85108 1890:u0a10079}

callers=com.android.server.wm.WindowManagerService.windowForClientLocked:5628 com.android.server.wm.WindowManagerService.relayoutWindow:2229

com.android.server.wm.Session.relayout:235 

06-08 10:31:45.203  1566  1668 I sysui_multi_action: [757,1144,758,7,806,com.tencent.tmgp.sgame,871,com.tencent.tmgp.sgame.SGameActivity]

......

06-08 10:31:46.969  1566  1676 W ActivityManager: Process ProcessRecord{44763f3 13236:com.tencent.tmgp.sgame/u0a112} failed to attach

06-08 10:31:46.969  1566  1676 I am_process_start_timeout: [0,13236,10112,com.tencent.tmgp.sgame]

06-08 10:31:46.969  1566  1676 I am_uid_stopped: 10112

06-08 10:31:46.970  1566  1676 I ActivityManager: Killing 13236:com.tencent.tmgp.sgame/u0a112 (adj -10000): start timeout

06-08 10:31:46.970  1566  1676 I am_kill : [0,13236,com.tencent.tmgp.sgame,-10000,start timeout]

06-08 10:31:46.971  1566  1678 I libprocessgroup: Successfully killed process cgroup uid 10112 pid 13236 in 0ms

从开始启动进程，到超时是10s的时间。

进程超时的逻辑：

@GuardedBy("mService")

private boolean handleProcessStartedLocked(ProcessRecord pending,

            Process.ProcessStartResult startResult, long expectedStartSeq) {

    synchronized (mPidsSelfLocked) {

        this.mPidsSelfLocked.put(pid, app);

        // procAttached传入为false

        if (!procAttached) {

            // what为PROC_START_TIMEOUT_MSG

            Message msg = mHandler.obtainMessage(PROC_START_TIMEOUT_MSG);

            // obj为待启动进程对应的ProcessRecord

            msg.obj = app;

            // 发送延迟消息

            mHandler.sendMessageDelayed(msg, usingWrapper

                    ? PROC_START_TIMEOUT_WITH_WRAPPER : PROC_START_TIMEOUT);

        }

    }

    checkTime(app.startTime, "startProcess: done updating pids map");

    return true;

}
ActivityManagerService的mHandler发送what=PROC_START_TIMEOUT_MSG的10s延迟消息。

超时的触发，在AMS的handleMessage中

public void handleMessage(Message msg) {

    switch (msg.what) {

        // ···

        case PROC_START_TIMEOUT_MSG: {

            ProcessRecord app = (ProcessRecord)msg.obj;

            synchronized (ActivityManagerService.this) {

                processStartTimedOutLocked(app);

            }

        } break;

        // ···

    }

}

    @GuardedBy("this")

    private final void processStartTimedOutLocked(ProcessRecord app) {

        final int pid = app.getPid();

        boolean gone = removePidIfNoThreadLocked(app);

        ......

    }

*/

    @GuardedBy("this")

    private boolean removePidIfNoThreadLocked(ProcessRecord app) {

        final boolean removed;

        final int pid = app.getPid();

        synchronized (mPidsSelfLocked) {

            removed = mPidsSelfLocked.doRemoveIfNoThreadInternal(pid, app);

        }

        if (removed) {

            synchronized (sActiveProcessInfoSelfLocked) {

                sActiveProcessInfoSelfLocked.remove(pid);

            }

            mAtmInternal.onProcessUnMapped(pid);

        }

        return removed;

    }

    boolean doRemoveIfNoThreadInternal(int pid, ProcessRecord app) {

            if (app == null || app.getThread() != null) {

                return false;

            }

            return doRemoveInternal(pid, app);

    }

从log中可以知道进程是创建成功的，存在ProcessRecord但是app.getThread（）返回空不存在IApplicationThread。

    /**     * The actual proc...  may be null only if 'persistent' is true     * (in which case we are in the process of launching the app).

     */

    @CompositeRWLock({"mService", "mProcLock"})

    private IApplicationThread mThread;    

@GuardedBy(anyOf = {"mService", "mProcLock"})

    IApplicationThread getThread() {

        return mThread;

    }
@GuardedBy({"mService", "mProcLock"})

    public void makeActive(IApplicationThread thread, ProcessStatsService tracker) {

        // TODO(b/180501180): Add back this logging message.

        /*

        String seempStr = "app_uid=" + uid

                            + ",app_pid=" + pid + ",oom_adj=" + curAdj

                            + ",setAdj=" + setAdj + ",hasShownUi=" + (hasShownUi ? 1 : 0)

                            + ",cached=" + (mCached ? 1 : 0)

                            + ",fA=" + (mHasForegroundActivities ? 1 : 0)

                            + ",fS=" + (mHasForegroundServices ? 1 : 0)

                            + ",systemNoUi=" + (systemNoUi ? 1 : 0)

                            + ",curSchedGroup=" + mCurSchedGroup

                            + ",curProcState=" + getCurProcState() + ",setProcState=" + setProcState

                            + ",killed=" + (killed ? 1 : 0) + ",killedByAm=" + (killedByAm ? 1 : 0)

                            + ",isDebugging=" + (isDebugging() ? 1 : 0);

        android.util.SeempLog.record_str(386, seempStr);

        */

        mProfile.onProcessActive(thread, tracker);

        mThread = thread;

        mWindowProcessController.setThread(thread);

    }

超时的取消

zygote进程fork出进程后，会进入进程的ActivityThread主线程，在ActivityThread中会调用attach()方法，在attach方法中会binder调用到AMS

的attachApplication()方法

private void attach(boolean system, long startSeq) {

    final IActivityManager mgr = ActivityManager.getService();

    try {

        // 通过IActivityManager binder通信接口通知到AMS，最终调用到AMS的attachApplication方法。

        // 这里将IApplicationThread和启动序列号传给AMS，用于AMS向APP进程通信和AMS匹配启动的ProcessRecord。

        mgr.attachApplication(mAppThread, startSeq);

    } catch (RemoteException ex) {

        throw ex.rethrowFromSystemServer();

    }

}

在AMS的attachApplication方法中又调用attachApplicationLocked方法：

private final boolean attachApplicationLocked(IApplicationThread thread,

        int pid, int callingUid, long startSeq) {

    // ···

    mHandler.removeMessages(PROC_START_TIMEOUT_MSG, app);

    // ···

    // Make app active after binding application or client may be running requests (e.g

    // starting activities) before it is ready.

    synchronized (mProcLock) {

         app.makeActive(thread, mProcessStats);

         checkTime(startTime, "attachApplicationLocked: immediately after bindApplication");

    }

}

进程创建成功，但是进程的ActivityThread却没有正常的执行，没有正确执行attach。

关于attach失败的原因，查看是否有系统压力？

从log中看没有system_server进程重启之前的low memory和cpu的有效信息。

从bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-06-08-10-42-33.txt中可以看到watchdog异常，系统重启后的cpu信息，cpu的负载很高，hht_ota_mgr
占用的cpu比较高。

DUMP OF SERVICE CRITICAL cpuinfo:

Load: 8.84 / 9.43 / 6.74

CPU usage from 413736ms to 114380ms ago (2023-06-08 10:34:39.414 to 2023-06-08 10:40:40.202):

  98% 2646/hht_ota_mgr: 39% user + 58% kernel

  22% 14965/system_server: 14% user + 7.6% kernel / faults: 1002630 minor

  15% 845/vendor.qti.hardware.display.composer-service: 10% user + 5.5% kernel / faults: 1233 minor

  13% 1002/surfaceflinger: 9.1% user + 3.9% kernel / faults: 4612 minor

  6.2% 15771/com.android.launcher3: 4.7% user + 1.5% kernel / faults: 160404 minor 1 major

  5.3% 15179/com.android.systemui: 3.8% user + 1.5% kernel / faults: 111455 minor 1 major

  2.5% 16203/com.android.providers.media.module: 1.2% user + 1.3% kernel / faults: 51228 minor

  1.8% 16199/com.hryt.lebotp: 0.8% user + 1% kernel / faults: 16109 minor 6 major

  1.5% 96/kswapd-1:0: 0% user + 1.5% kernel

  1.5% 518/logd: 0.5% user + 1% kernel / faults: 412 minor

  1.5% 391/crtc_commit:125: 0% user + 1.5% kernel

  1.1% 1187/cnss_diag: 0.9% user + 0.2% kernel / faults: 2 minor 1 major

  0.9% 14886/audioserver: 0.7% user + 0.2% kernel / faults: 827 minor 1 major

  0.9% 329/kworker/u16:9+kverityd: 0% user + 0.9% kernel

  0.8% 14889/netd: 0.2% user + 0.6% kernel / faults: 10588 minor

  0.8% 14953/kworker/u16:31-kverityd: 0% user + 0.8% kernel

  0.7% 1169/tlog: 0.4% user + 0.3% kernel / faults: 142 minor

  0.7% 11405/kworker/u16:10+CDSP_CNTL: 0% user + 0.7% kernel

  0.6% 14888/mediaserver: 0.3% user + 0.2% kernel / faults: 2208 minor

  0.6% 287/kgsl_worker_thr: 0% user + 0.6% kernel

  0.6% 11740/kworker/u16:12-ufs_clkscaling_0: 0% user + 0.6% kernel

  0.5% 850/vendor.qti.hardware.perf@2.2-service: 0.1% user + 0.3% kernel / faults: 2747 minor

  0.5% 14951/kworker/u16:30-kgsl-mementry: 0% user + 0.5% kernel

  0.4% 14881/android.hardware.audio.service: 0.1% user + 0.3% kernel / faults: 222 minor

  0.4% 14918/kworker/u16:14-kgsl-mementry: 0% user + 0.4% kernel

  0.4% 15309/com.thundercomm.gamemode: 0.2% user + 0.2% kernel / faults: 10997 minor

  0.4% 1/init: 0.1% user + 0.2% kernel / faults: 2114 minor

  0.4% 9/ksoftirqd/0: 0% user + 0.4% kernel

  0.3% 9654/kworker/u16:8-kverityd: 0% user + 0.3% kernel

  0.3% 280/kworker/u16:6-kverityd: 0% user + 0.3% kernel

  0.3% 10/rcu_preempt: 0% user + 0.3% kernel

  0.3% 7544/kworker/u16:0-kgsl_devfreq_wq: 0% user + 0.3% kernel

  0.2% 520/servicemanager: 0.1% user + 0.1% kernel

  0.2% 14882/zygote64: 0% user + 0.2% kernel / faults: 5500 minor

  0.2% 679/statsd: 0.1% user + 0.1% kernel / faults: 187 minor

  0.2% 836/android.hardware.wifi@1.0-service: 0.1% user + 0.1% kernel / faults: 3645 minor

  0.2% 1213/media.codec: 0% user + 0.2% kernel / faults: 1829 minor

  0.2% 14955/kworker/u16:33-ufs_pm_qos_0: 0% user + 0.2% kernel

  0.2% 15419/com.thundercomm.microservice: 0% user + 0.1% kernel / faults: 10108 minor

  0.2% 2818/mdnsd: 0% user + 0.1% kernel / faults: 11 minor

  0.2% 111/system: 0% user + 0.2% kernel

  0.2% 15285/com.android.networkstack.process: 0.1% user + 0% kernel / faults: 3662 minor

  0.1% 14919/kworker/u16:15-kgsl-mementry: 0% user + 0.1% kernel

  0.1% 1389/qfp-daemon: 0% user + 0.1% kernel / faults: 944 minor

  0.1% 37/ksoftirqd/3: 0% user + 0.1% kernel

  0.1% 277/kworker/u16:5+CDSP_DCI: 0% user + 0.1% kernel

  0.1% 519/lmkd: 0% user + 0.1% kernel

  0.1% 2709/dp_rx_thread_0: 0% user + 0.1% kernel
  0.1% 14945/kworker/u16:24-kverityd: 0% user + 0.1% kernel

  0.1% 1269/media.swcodec: 0.1% user + 0% kernel / faults: 1074 minor

  0.1% 89/qmp_aop: 0% user + 0.1% kernel

  0.1% 13/rcuop/0: 0% user + 0.1% kernel

  0.1% 10125/iorapd: 0% user + 0% kernel / faults: 50487 minor

  0.1% 32/rcuop/2: 0% user + 0.1% kernel

  0.1% 15937/irq/17-9091000.: 0% user + 0.1% kernel

  0.1% 271/kworker/u16:2-kgsl-mementry: 0% user + 0.1% kernel

  0.1% 11801/kworker/u17:3-kgsl-events: 0% user + 0.1% kernel

  0.1% 15935/irq/16-90b6400.: 0% user + 0.1% kernel

  0.1% 660/vendor.ts.uart@1.0-service: 0% user + 0% kernel / faults: 2 minor

  0.1% 15701/com.thundercomm.gamemode.provider: 0% user + 0% kernel / faults: 3855 minor

  0.1% 11131/kworker/u17:0-hal_register_write_wq: 0% user + 0.1% kernel

  0.1% 48/rcuop/4: 0% user + 0.1% kernel

  0.1% 392/crtc_event:125: 0% user + 0.1% kernel

  0.1% 11736/kworker/u17:1-kgsl-events: 0% user + 0.1% kernel

  0.1% 14000/traced_probes: 0% user + 0% kernel / faults: 852 minor

  0.1% 15439/com.thundercomm.microsettings: 0% user + 0% kernel / faults: 1214 minor

  0% 64/rcuop/6: 0% user + 0% kernel

  0% 9799/kworker/0:0-events: 0% user + 0% kernel

  0% 109/ion-pool-uncach: 0% user + 0% kernel

  0% 844/vendor.qti.hardware.display.allocator-service: 0% user + 0% kernel / faults: 620 minor

  0% 92/kcompactd0: 0% user + 0% kernel

  0% 110/ion-pool-cached: 0% user + 0% kernel

  0% 14004/kworker/3:0-events: 0% user + 0% kernel

  0% 12342/kworker/u17:4-kgsl-events: 0% user + 0% kernel

  0% 40/rcuop/3: 0% user + 0% kernel

  0% 521/hwservicemanager: 0% user + 0% kernel

  0% 1197/installd: 0% user + 0% kernel / faults: 39 minor

  0% 12551/kworker/u16:13-ufs_clkscaling_0: 0% user + 0% kernel

  0% 56/rcuop/5: 0% user + 0% kernel

  0% 16176/com.qualcomm.qti.workloadclassifier: 0% user + 0% kernel / faults: 1072 minor

  0% 24/rcuop/1: 0% user + 0% kernel

  0% 11/rcu_sched: 0% user + 0% kernel

  0% 828/android.hardware.memtrack@1.0-service: 0% user + 0% kernel

  0% 848/vendor.qti.hardware.iop@2.0-service: 0% user + 0% kernel / faults: 40 minor

  0% 2707/scheduler_threa: 0% user + 0% kernel

  0% 14899/iptables-restore: 0% user + 0% kernel / faults: 2 minor

  0% 82/kworker/2:1+max96755g_dtc_work: 0% user + 0% kernel

  0% 1199/media.extractor: 0% user + 0% kernel / faults: 3146 minor

  0% 14938/kworker/u16:16-kverityd: 0% user + 0% kernel

  0% 14954/kworker/u16:32-memlat_wq: 0% user + 0% kernel

  0% 1422/msm_irqbalance: 0% user + 0% kernel

  0% 13753/kworker/2:2-events: 0% user + 0% kernel

  0% 14900/ip6tables-restore: 0% user + 0% kernel / faults: 2 minor

  0% 15683/android.ext.services: 0% user + 0% kernel / faults: 1904 minor

  0% 13771/kworker/1:2-pm: 0% user + 0% kernel

  0% 16242/com.android.traceur: 0% user + 0% kernel / faults: 5700 minor 14 major

  0% 830/kworker/u16:18+SENSORS_DCI: 0% user + 0% kernel

  0% 15889/com.qualcomm.location: 0% user + 0% kernel / faults: 547 minor

  0% 16222/com.android.keychain: 0% user + 0% kernel / faults: 4768 minor 12 major

  0% 958/qrtr-ns: 0% user + 0% kernel

  0% 13909/kworker/7:1-events_freezable_power_: 0% user + 0% kernel
  0% 872/vendor.qti.hardware.servicetracker@1.2-service: 0% user + 0% kernel / faults: 8 minor

  0% 1492/wlan_logging_th: 0% user + 0% kernel

  0% 15454/.dataservices: 0% user + 0% kernel / faults: 516 minor

  0% 15960/com.qualcomm.qtil.aptxui: 0% user + 0% kernel / faults: 5258 minor 11 major

  0% 347/irq/350-atmel_m: 0% user + 0% kernel

  0% 13992/kworker/6:1-events: 0% user + 0% kernel

  0% 14430/kworker/4:1-mm_percpu_wq: 0% user + 0% kernel

  0% 49/rcuos/4: 0% user + 0% kernel

  0% 72/rcuop/7: 0% user + 0% kernel

  0% 101/irq/41-tsens-up: 0% user + 0% kernel

  0% 1361/cnss-daemon: 0% user + 0% kernel / faults: 3 minor

  0% 14891/wificond: 0% user + 0% kernel / faults: 24 minor

  0% 16/migration/0: 0% user + 0% kernel

  0% 33/rcuos/2: 0% user + 0% kernel

  0% 45/ksoftirqd/4: 0% user + 0% kernel

  0% 370/kworker/0:1H-kblockd: 0% user + 0% kernel

  0% 659/ipacm: 0% user + 0% kernel

  0% 814/android.hidl.allocator@1.0-service: 0% user + 0% kernel

  0% 915/vendor.thundercomm.hardware.tsnv@1.0-service: 0% user + 0% kernel / faults: 123 minor 1 major

  0% 1168/traced: 0% user + 0% kernel / faults: 2123 minor

  0% 1200/media.metrics: 0% user + 0% kernel / faults: 143 minor

  0% 1431/lowi-server: 0% user + 0% kernel / faults: 38 minor

  0% 14885/zygote: 0% user + 0% kernel / faults: 287 minor

  0% 14887/cameraserver: 0% user + 0% kernel / faults: 1 minor

  0% 15820/com.qualcomm.qti.qccauthmgr: 0% user + 0% kernel / faults: 1754 minor 4 major

  0% 15920/adbd: 0% user + 0% kernel / faults: 8 minor

  0% 36/migration/3: 0% user + 0% kernel

  0% 65/rcuos/6: 0% user + 0% kernel

  0% 530/android.hardware.keymaster@4.1-service-qti: 0% user + 0% kernel / faults: 11 minor 31 major

  0% 565/psimon: 0% user + 0% kernel

  0% 581/android.system.suspend@1.0-service: 0% user + 0% kernel

  0% 905/vendor.qti.qspmhal@1.0-service: 0% user + 0% kernel / faults: 3 minor

  0% 1004/tftp_server: 0% user + 0% kernel

  0% 1209/perfservice: 0% user + 0% kernel / faults: 1 minor

  0% 2721/wpa_supplicant: 0% user + 0% kernel / faults: 16 minor 3 major

  0% 16055/com.hryt.hiphishowfsecontrol: 0% user + 0% kernel / faults: 749 minor

  0% 16234/com.qualcomm.location.XT: 0% user + 0% kernel / faults: 870 minor

  0% 14/rcuos/0: 0% user + 0% kernel

  0% 20/migration/1: 0% user + 0% kernel

  0% 21/ksoftirqd/1: 0% user + 0% kernel

  0% 23/kworker/1:0H-events_highpri: 0% user + 0% kernel

  0% 28/migration/2: 0% user + 0% kernel

  0% 29/ksoftirqd/2: 0% user + 0% kernel

  0% 47/kworker/4:0H-kblockd: 0% user + 0% kernel

  0% 55/kworker/5:0H-kblockd: 0% user + 0% kernel

  0% 63/kworker/6:0H-kblockd: 0% user + 0% kernel

  0% 71/kworker/7:0H-kblockd: 0% user + 0% kernel

  0% 77/kauditd: 0% user + 0% kernel

  0% 658/time_daemon: 0% user + 0% kernel / faults: 62 minor

  0% 799/ssgtzd: 0% user + 0% kernel / faults: 36 minor

  0% 825/android.hardware.gnss@2.1-service-qti: 0% user + 0% kernel / faults: 96 minor

  0% 1432/slim_daemon: 0% user + 0% kernel / faults: 1 minor

  0% 7568/kworker/5:1-rcu_gp: 0% user + 0% kernel
  0% 15354/webview_zygote: 0% user + 0% kernel / faults: 178 minor 2 major

  0% 15482/com.tc.logclient: 0% user + 0% kernel / faults: 487 minor

  0% 15609/com.thundercomm.tcservice: 0% user + 0% kernel / faults: 142 minor

  0% 16102/.pasr: 0% user + 0% kernel / faults: 456 minor

  0% 16135/com.qualcomm.qti.services.systemhelper:systemhelper_service: 0% user + 0% kernel / faults: 648 minor

  0% 2/kthreadd: 0% user + 0% kernel

  0% 39/kworker/3:0H-events_highpri: 0% user + 0% kernel

  0% 41/rcuos/3: 0% user + 0% kernel

  0% 44/migration/4: 0% user + 0% kernel

  0% 52/migration/5: 0% user + 0% kernel

  0% 57/rcuos/5: 0% user + 0% kernel

  0% 60/migration/6: 0% user + 0% kernel

  0% 372/kworker/2:1H-events_highpri: 0% user + 0% kernel

  0% 418/core_ctl/4: 0% user + 0% kernel

  0% 531/qseecomd: 0% user + 0% kernel / faults: 34 minor

  0% 582/keystore2: 0% user + 0% kernel / faults: 151 minor

  0% 824/android.hardware.drm@1.3-service.clearkey: 0% user + 0% kernel / faults: 41 minor

  0% 875/vendor.qti.hardware.vibrator.service: 0% user + 0% kernel / faults: 92 minor 2 major

  0% 876/media.hwcodec: 0% user + 0% kernel

  0% 961/pd-mapper: 0% user + 0% kernel

  0% 965/pm-service: 0% user + 0% kernel / faults: 29 minor

  0% 1230/dpmd: 0% user + 0% kernel / faults: 7 minor 3 major

  0% 1378/tzlog: 0% user + 0% kernel

  0% 1406/imsdatadaemon: 0% user + 0% kernel

  0% 12802/kworker/5:0-events: 0% user + 0% kernel

  0% 14940/kworker/u16:19-kgsl-mementry: 0% user + 0% kernel

  0% 15458/.qtidataservices: 0% user + 0% kernel / faults: 15 minor

  0% 15464/com.thundercomm.tchttpserver: 0% user + 0% kernel / faults: 140 minor

  0% 15541/com.qti.qualcomm.mstatssystemservice: 0% user + 0% kernel / faults: 14 minor

  0% 15548/com.android.se: 0% user + 0% kernel / faults: 14 minor

  0% 15585/com.thundercomm.remotecontrolservice: 0% user + 0% kernel / faults: 38 minor

  0% 15653/com.qualcomm.qti.qdma: 0% user + 0% kernel / faults: 28 minor

  0% 16139/com.qualcomm.qti.qccnetstat: 0% user + 0% kernel / faults: 421 minor

 +0% 16274/com.tencent.android.qqdownloader:live: 0% user + 0% kernel

 +0% 16330/com.android.inputmethod.latin: 0% user + 0% kernel

 +0% 16373/com.tencent.android.qqdownloader:daemon: 0% user + 0% kernel

 +0% 16409/com.qualcomm.qti.devicestatisticsservice: 0% user + 0% kernel

 +0% 16432/android.process.acore: 0% user + 0% kernel

 +0% 16480/android.process.media: 0% user + 0% kernel

 +0% 16493/com.qti.diagservices: 0% user + 0% kernel

 +0% 16530/com.android.dynsystem: 0% user + 0% kernel

 +0% 16553/com.android.dynsystem:dynsystem: 0% user + 0% kernel

 +0% 16555/com.android.managedprovisioning: 0% user + 0% kernel

 +0% 16599/com.android.music: 0% user + 0% kernel

 +0% 16624/com.android.onetimeinitializer: 0% user + 0% kernel

 +0% 16662/com.android.packageinstaller: 0% user + 0% kernel

 +0% 16670/com.tencent.android.qqdownloader: 0% user + 0% kernel

 +0% 16718/com.tencent.android.qqdownloader:cloud: 0% user + 0% kernel

 +0% 16752/com.android.permissioncontroller: 0% user + 0% kernel

 +0% 16778/app_d: 0% user + 0% kernel

 +0% 16847/app_d: 0% user + 0% kernel

 +0% 16927/com.android.providers.calendar: 0% user + 0% kernel

 +0% 17031/com.android.shell: 0% user + 0% kernel
 +0% 17187/com.android.localtransport: 0% user + 0% kernel

 +0% 17204/com.qualcomm.qti.qms.service.connectionsecurity: 0% user + 0% kernel

 +0% 17271/com.tencent.mm:push: 0% user + 0% kernel

 +0% 17407/com.android.externalstorage: 0% user + 0% kernel

 +0% 17502/com.qualcomm.timeservice: 0% user + 0% kernel

 +0% 17519/com.qiyi.video: 0% user + 0% kernel

 +0% 18055/com.qualcomm.qti.qms.service.trustzoneaccess: 0% user + 0% kernel

 +0% 18172/com.qiyi.video:downloader: 0% user + 0% kernel

 +0% 18608/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0: 0% user + 0% kernel

 +0% 18641/com.android.webview:webview_service: 0% user + 0% kernel

 +0% 18743/com.tencent.ilink.ServiceProcess: 0% user + 0% kernel

 +0% 18826/com.qiyi.video:plugin1: 0% user + 0% kernel

 +0% 18898/com.tencent.android.qqdownloader:wxa_container0: 0% user + 0% kernel

 +0% 19286/kworker/u17:2-kgsl-events: 0% user + 0% kernel

 +0% 20196/kworker/5:2-events: 0% user + 0% kernel

 +0% 22749/com.tencent.tmgp.sgame: 0% user + 0% kernel

 +0% 22782/com.tencent.tmgp.sgame:xg_vip_service: 0% user + 0% kernel

 +0% 23883/com.tencent.qqlive: 0% user + 0% kernel

 +0% 24001/com.tencent.qqlive:cache: 0% user + 0% kernel

 +0% 24004/com.tencent.qqlive:services: 0% user + 0% kernel

 +0% 24073/com.tencent.qqlive:pmservice: 0% user + 0% kernel

 +0% 24105/com.tencent.mm: 0% user + 0% kernel

 +0% 24719/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0: 0% user + 0% kernel

 +0% 25069/com.kugou.android.auto: 0% user + 0% kernel

 +0% 25119/com.kugou.android.support: 0% user + 0% kernel

 +0% 25768/com.tencent.qqlive:xg_vip_service: 0% user + 0% kernel

 +0% 31320/kworker/u17:5-kgsl-events: 0% user + 0% kernel

 +0% 31790/kworker/0:1-mm_percpu_wq: 0% user + 0% kernel

 +0% 31832/kworker/1:0-sock_diag_events: 0% user + 0% kernel

 +0% 32151/kworker/u17:6-kgsl-events: 0% user + 0% kernel

48% TOTAL: 25% user + 19% kernel + 0.3% iowait + 1% irq + 1.3% softirq

--------- 0.004s was the duration of dumpsys cpuinfo, ending at: 2023-06-08 10:42:34

在com.tencent.tmgp.sgame进程启动的过程中，有很多hht_ota_mgr的log，hht_ota_mgr可能会占用cpu，影响进程的启动。

由于现有的log中没有更多有效信息，只能复现问题抓取现场的系统信息。

[Next Action]

复现问题，抓取现场信息，进一步分析

#7 - 2023-06-13 10:59 - CD FW 郑雷

[当前状态]

1.根据log信息，从06-07 21:01:40.338开始到点击王者荣耀、原神等app，到WATCHDOG异常，出现了24724次如下log,很多进程都有OpenGLRenderer: Davey

的日志输出，说明系统处于一种卡顿的状态

OpenGLRenderer: Davey! duration=9223370438983ms; Flags=0, FrameTimelineVsyncId=54915, IntendedVsync=1597871567923, Vsync=1597888234589,

InputEventId=0, HandleInputStart=1597893477920, AnimationStart=1597893478545, PerformTraversalsStart=1597893604118, DrawStart=1597924965576,

FrameDeadline=1597909567921, FrameInterval=1597893476670, FrameStartTime=16666666, SyncQueued=1597925365889, SyncStart=1597925394587,

IssueDrawCommandsStart=1597925476566, SwapBuffers=1597925856826, FrameCompleted=9223372036854775807, DequeueBufferDuration=6875,

QueueBufferDuration=269792, GpuCompleted=9223372036854775807, SwapBuffersCompleted=1597926308753, DisplayPresentTime=0, 

2.启动王者荣耀、原神时，进程创建成功，但是在attach到AMS时超过10秒，应用程序进程的初始化失败(REASON_INITIALIZATION_FAILURE)，此

时AMS会kill掉超时的进程。

3.从目前现有的log看，进程attach到AMS失败应该跟系统卡顿状态有关系。
[下一步Action]

1.用解决hht_ota_mgr的selinux denied的问题和限制后台进程数量的版本验证此问题

#8 - 2023-06-15 20:56 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 郑雷 to CDTS_Test 吴诗雨

- Resolution changed from -- to DUPLICATE

转jira跟踪

#9 - 2023-07-03 16:38 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

与118600并票

#10 - 2023-07-03 16:38 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
